Subject: RE: [RPSEC] Draft Status, from a protocol developer's angle.

From: Stephen Kent <[email-masked]>
Date: Mon, 5 Aug 2002 10:25:23 -0400

At 5:55 PM -0700 7/26/02, Michel Py wrote:
>  > Stephen Kent
>>  So, to summarize, you admit to knowing nothing about crypto
>>  and little or nothing about the IETF standard protocol for IP
>>  layer security, but you are confident that nothing exists that
>>  can address MITM problems for your routing protocol. Is that
>>  about it?
>
>I'm not confident that it does not exist, I just haven't found. Can you
>point me to something?
>
>Michel.
>

Absent a detailed description of the problem context and an agreed 
upon threat model, no.

Steve

_______________________________________________
RPSEC mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rpsec

---

From: Stephen Kent <[email-masked]>
Date: Mon, 5 Aug 2002 10:28:16 -0400

At 12:10 PM -0700 7/27/02, Michel Py wrote:
>Steve,
>
>>>  Nevertheless, the bottom line still is: I'm doing my best,
>>>  but it might not be enough.
>
>>  Stephen Kent wrote:
>>  Any maybe it's not good enough to become an IETF standard.
>
>This is not my primary goal. Let me give you a few examples about
>"standards":
>[precision: I do *not* work for Cisco]
>
>- EIGRP. I use it all the time, and there is no IETF equivalent.
>- HSRP. I use it all the time, and switching to VRPP is not high on my
>priority list.
>- ISL: I am phasing it out in favor of 802.1q. Have any idea where
>802.1q comes from?
>
>The IETF is not the only place where standards are developed. If this
>workgroup produces unrealistic requirements that protocol developers
>can't meet, protocol developers will either ignore the requirements
>(which is possible, as it is very well understood that a routing
>protocol can't please everyone), or take their work outside the IETF
>(which is what I have done already, AAMOF).
>
>If this WG doesn't mind some advice, try not to get into the same schism
>as multi6, which is deadlocked in non-consensual, impossible to meet
>requirements.
>
>Michel.

This is an IETF mailing list, working on security requirements for 
IETF standard routing protocols. Thus, irrespective of the examples 
you cite above, the context for our discussions is the IETF standards 
space.

Steve